[neon/mobile/plasma-phone-meta/Neon/unstable] /: switch to germinate

Carlos De Maine null at kde.org
Fri Jan 5 04:11:24 GMT 2024


Git commit 7412c7613d9648fb76317677548456f44b53b810 by Carlos De Maine.
Committed on 05/01/2024 at 05:11.
Pushed by carlosdem into branch 'Neon/unstable'.

switch to germinate

M  +26   -10   update

https://invent.kde.org/neon/mobile/plasma-phone-meta/-/commit/7412c7613d9648fb76317677548456f44b53b810

diff --git a/update b/update
index b5d3d82..51da6a7 100755
--- a/update
+++ b/update
@@ -1,15 +1,31 @@
 #! /bin/sh
 
-set -xe
+#set -xe
 
-if ! which dch >/dev/null; then
-	echo >&2 "please install devscripts"
-	exit 1
-fi
+#if ! which dch >/dev/null; then
+#	echo >&2 "please install devscripts"
+#	exit 1
+#fi
 
-if ! which debootstrap >/dev/null; then
-	echo >&2 "please install debootstrap"
-	exit 1
-fi
+#if ! which debootstrap >/dev/null; then
+#	echo >&2 "please install debootstrap"
+#	exit 1
+#fi
 
-exec germinate-update-metapackage --vcs
+#exec germinate-update-metapackage --vcs
+
+#! /usr/bin/make -f
+
+export DH_VERBOSE=1
+
+override_dh_auto_clean:
+	rm -fv *-amd64 \
+		*-armhf \
+		*-arm64 \
+		*.old \
+		debootstrap-version
+	dh_auto_clean
+
+%:
+
+	dh $@ --with germinate


More information about the Neon-commits mailing list